/* $Id: virtual.h,v 1.8 2002/10/20 21:52:32 mikpe Exp $
 * Virtual per-process performance counters.
 *
 * Copyright (C) 1999-2002  Mikael Pettersson
 */

#ifdef CONFIG_PERFCTR_VIRTUAL
extern int vperfctr_init(void);
extern void vperfctr_exit(void);
extern int sys_vperfctr(unsigned int cmd, int whom, void *arg);
#else
static inline int vperfctr_init(void) { return 0; }
static inline void vperfctr_exit(void) { }
static inline int sys_vperfctr(unsigned int cmd, int whom, void *arg)
{
	return -ENOSYS;
}
#endif
